## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate aws-lc-sys

Name:           rust-aws-lc-sys
Version:        0.28.0
Release:        %autorelease
Summary:        General-purpose cryptographic library

License:        ISC AND (Apache-2.0 OR ISC) AND OpenSSL
URL:            https://crates.io/crates/aws-lc-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * make dependency on bindgen non-optional
# * drop feature for enabling AdressSanitizer
Patch:          aws-lc-sys-fix-metadata.diff
# * unconditionally regenerate bindings with bindgen
Patch2:         0001-unconditionally-rebuild-bindings-with-bindgen.patch
# * force regeneration of generated Assembly
Patch3:         0002-regenerate-generated-code-with-Perl-and-Golang-uncon.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  golang
BuildRequires:  perl

%global _description %{expand:
AWS-LC is a general-purpose cryptographic library maintained by the AWS
Cryptography team for AWS and their customers. It іs based on code from
the Google BoringSSL project and the OpenSSL project.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       golang
Requires:       perl

Provides:       bundled(aws-lc) = 1.49.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/aws-lc/LICENSE
%license %{crate_instdir}/aws-lc/third_party/fiat/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove pregenerated object files for Windows
rm -rv builder/prebuilt-nasm/
# remove pregenerated assembly sources
rm -rv aws-lc/generated-src/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Jun 05 2025 John Doe <packager@example.com> - 0.28.0-1
- Uncommitted changes
## END: Generated by rpmautospec
